* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
    font-family: sans-serif;
    font-weight: 900;
}

body {
    width: 100vw;
    height: 100vh;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 50px;
    position: relative;
    background-color: white;
}

.overlay {
    backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    inset: 0;
    justify-content: center;
    align-items: center;
    text-align: left;
    gap: 100px;
    z-index: 1;
    font-size: clamp(24px, 4vw, 42px);
    color: white;
    text-shadow: 0px 0px 5px white;
}

.result {
    display: none;
    flex-direction: column;
}

.total {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
    gap: 100px;
}

.restart {
    color: yellow;
    border: 2px solid yellow;
    text-shadow: 0px 0px 10px yellow;
    box-shadow: 0px 0px 5px 0px yellow;
}

.help {
    position: absolute;
    width: 30px;
    height: 30px;
    top: 50px;
    left: 50px;
    color: red;
    font-size: 18px;
    border: 2px solid red;
    border-radius: 20px;
    background-color: transparent;
    text-shadow: 0px 0px 10px red;
    box-shadow: 0px 0px 10px 5px red;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    cursor: pointer;
    z-index: 1;
}

.view-help {
    display: none;
    flex-direction: row;
}

.all-text hr {
    border: none;
    height: 2px;
    background-color: white;
    box-shadow: 0px 0px 10px 0px white;
}

.text span {
    display: inline-block;
    transform-origin: center;
    transform: rotate(90deg);
}

.background {
    width: 20px;
    height: 20px;
    background-color: black;
    box-shadow: 0px 0px 10px 5px black;
    border-radius: 10px;
    position: absolute;
    top: 50px;
    right: 50px;
    cursor: pointer;
    z-index: 1;
}

.ress {
    font-size: 42px;
    color: green;
    text-align: center;
    text-shadow: 0px 0px 10px green;
}

.game-area {
    width: 400px;
    height: 400px;
    border: 2px solid black;
    position: relative;
    background-color: cornflowerblue;
    box-shadow: 0px 0px 10px 0px black;
}

.snake {
    width: 20px;
    height: 20px;
    border-radius: 5px;
    background-color: green;
    position: absolute;
}

.food {
    border-radius: 10px;
    width: 20px;
    height: 20px;
    border-top: 4px solid green;
    background-color: red;
    position: absolute;
}

.btn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 5px 20px;
    border-radius: 10px;
    background-color: transparent;
    font-size: 18px;
    cursor: pointer;
}

.startStopBtn {
    color: green;
    border: 2px solid green;
    text-shadow: 0px 0px 10px green;
    box-shadow: 0px 0px 5px 0px green;
}

.darkOverlay {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    text-shadow: 0px 0px 5px white;
}

.lightOverlay {
    background-color: rgba(255, 255, 255, 0.5);
    color: black;
    text-shadow: 0px 0px 5px black;
}